#ifndef _ASTHASH_H
#define _ASTHASH_H
#define STRING_HASH_TABLE_KEY_SIZE 255

struct string_hash_table {
  char name[100];
  struct hash_storage *data[STRING_HASH_TABLE_KEY_SIZE];
  struct string_hash_table * next;
};


struct hash_storage {
  char *var;
  char *val;
  struct hash_storage * next;
};

unsigned long ElfHash ( const unsigned char *name );

struct string_hash_table *init_string_hash(char *);
int string_hash_write(struct string_hash_table *hash,char *name,char *value);
char *string_hash_read(struct string_hash_table *hash,char *name);
int string_hash_delete(struct string_hash_table *hash,char *name);
int pair2hash(struct string_hash_table *hash,char *pair);
void print_string_hash(struct string_hash_table *hash);
char *trim_spaces(char *var) ;
int named_args(struct string_hash_table *hash,char *data,char delim);

#endif


